Package: org.apache.groovy.ginq.provider.collection.runtime

## [Java] Class Queryable.Order<T, U extends Comparable<? super U>>

- org.apache.groovy.ginq.provider.collection.runtime.Queryable.Order

-     public class Queryable.Order<T, U extends Comparable<? super U>>
      extends Object

  Represents an order rule

  Type Parameters:
    `T` - the type of element from Queryable instance
    `U` - the type of field to sort
  Since:
    4.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Order[]` | `EMPTY_ARRAY` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Order(Function<? super T, ? extends U> keyExtractor, boolean asc)`
    `Order(Function<? super T, ? extends U> keyExtractor, boolean asc, boolean nullsLast)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public Function<? super T, ? extends U>` | `getKeyExtractor()`
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isAsc()`
    `` | `public boolean` | `isNullsLast()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Order[] EMPTY_ARRAY

  - ### Constructor Detail

    - #### public Order(Function<? super T, ? extends U> keyExtractor, boolean asc)

    - #### public Order(Function<? super T, ? extends U> keyExtractor, boolean asc, boolean nullsLast)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object o)

    - #### public Function<? super T, ? extends U> getKeyExtractor()

    - #### @Override
      public int hashCode()

    - #### public boolean isAsc()

    - #### public boolean isNullsLast()